Developing/debugging applications

Joel Newkirk freerunner at
Tue Oct 28 19:32:11 CET 2008

On Tue, 28 Oct 2008 08:07:19 -0700 (PDT), WintermuteHun
<aron.tanos at> wrote:
> I've done that, and I prefer cross-compiling. However, I'm trying to
> cross-compile an app that uses gpsd, and therefore needs gps/gps.h, which
> is
> apparently not part of the standard toolchain. How do I install it? I
> tried
> using opkg, but it doesn't seem to have any package repositories, because
> "opkg update" doesn't do anything at all. Can I just use the standard
> package repositories, e.g. from Debian ARM?
> Thanks,
> Aron

Under the cross-devel toolchain (IE after ".
/usr/local/openmoko/arm/setup-env") try "opkg-target update" then
"opkg-target list | grep gps" and see what you see.  Likely "opkg-target
install gpsd-dev" will be the result.  (The point really being that you
should be using 'opkg-target' under the cross-development toolchain's


More information about the devel mailing list